For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • POSTCreate a new HRIS Organization Structure.
      • DELDelete an Org Structure from the Organization
      • DELDelete an Org Structure from the Organization by external ID
      • DELDelete Organization Structure
      • GETFetch an Org Structure from the Organization
      • GETFetch an Org Structure from the Organization
      • GETGet Organization Structure
      • GETGet Organization Structure
      • GETRetrieve custom fields for organization
      • PATCHUpdate an existing HRIS Org Structure
      • PATCHUpdate an existing HRIS Org Structure by external ID
      • PUTUpdate organization structure
      • PATCHUpdate Organization Structure
      • PATCHUpdate organization structure team custom fields
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsOrganization Structure

Update organization structure

PUT
/people/:id/department
PUT
/rest/v2/people/:id/department
$curl -X PUT "https://api.letsdeel.com/rest/v2/people/00000000-0000-0000-0000-000000000000/department?replace_other_positions=true" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "body": {
> "data": {
> "department_id": "d4f1a2b3-9c8e-4f7a-8b2d-1e3f5a6c7d8e",
> "effective_date": "2024-06-01"
> }
> }
>}'
1{
2 "data": {
3 "updated": true
4 }
5}

Assigns a worker to a department by their HRIS profile ID. By default the new assignment appends to existing positions; set replace_other_positions to true to replace all current positions instead. Token scopes: people:write

Was this page helpful?
Previous

Update Organization Structure

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

idstringRequired
Hris profile ID

Query parameters

replace_other_positionsbooleanOptional
Indicates if this department position should replace all other positions or only append to the existing ones.

Request

This endpoint expects an object.
dataobjectRequired

Response

Successful operation.
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication